CS-Cart 3.0.2 Released

Hello everybody!

It’s been awhile since we released CS-Cart 3.0.1. We have collected a great deal of user feedback and resolved numerous issues.

All these improvements and fixes are included in the CS-Cart 3.0.2 minor release, which we are happy to introduce today (see the full changelog).

CS-Cart 3.0.2 is not only about bug fixes: it includes the long-awaited Store Import add-on (formerly announced as Database Upgrade Tool) that will allow you to import data from CS-Cart 2.2.4 and 2.2.5 installations as well as convert CS-Cart Professional and Community stores to CS-Cart Ultimate storefronts.
Import Database from CS-Cart 2.2.4/2.2.5 to CS-Cart 3.0.2
Apart from that the new release includes Twigmo 2.0. as well as the latest version of Searchanise. UPD: All editions except Ultimate also include the latest version of Searchanise.

CS-Cart 3.0.2 Russian Build

Starting from CS-Cart 3.0.2 all features specific for Russian eCommerce like shippings, payments and taxes are moved to a separate Russian Build and no longer available in the basic CS-Cart editions. Russian language pack still exists in all software editions and builds, so that your customers from Russia can still buy goods in your online stores.

You can find more information about the Russian Build in this blog post.

Get it

CS-Cart 3.0.2 is available for all legal license holders with active upgrade subscriptions via Customer Help Desk.

Upgrading from CS-Cart 3.0.1 is a simple Upgrade Center routine. It is well described in our Knowledge Base and in the video tutorial on our official YouTube channel.

UPD: The updates should be available for download for all users in the course of the following week (approximately by August, 6).

CS-Cart 2.2.4 and 2.2.5 cannot be upgraded to CS-Cart 3 via the Upgrade Center, but the upgrade is performed using the Store Import add-on built-in CS-Cart 3.0.2. You can find the detailed instructions in this blog post.

You can always find the latest CS-Cart news on our official Twitter and Facebook pages.

21 thoughts on “CS-Cart 3.0.2 Released

  • July 26, 2012 at 16:28
    Permalink

    Thumb up :)

  • July 26, 2012 at 20:40
    Permalink

    Nice, I want to upgrade asap! But i can’t see it from upgrade center in 3.0.1? :(

    • July 27, 2012 at 10:30
      Permalink

      Dear Frida,

      The upgrades will be available for all users within the following week.

  • July 30, 2012 at 00:33
    Permalink

    Dear Molchanov

    since I purchased your cart and I am paying money every where :)

    your cart is great but my timing is not,

    since I had to use right-to-left language (arabic) and since your company dont support this on its template, we had to go to 3rd party for each upgrade :(

    I was waiting for the import tool to use it to transfer the data from the 2.2.4 to the 3.0.1, but it seems that I would not be able to do so, since the tool is working only with the 3.0.2 !! and if there is any changes in the template I will have to go to the third party again to Arabize the template before the upgrade -it may work great for the English version but not with the Arabic since the templates are adjusted for right-to-left

    I tried to go over the adjustment you made for the upgrade, and some parts seem to be related to the skin !!

    my question here dear CS-CART :)
    If I made the upgrades, would it in any case damage the template? which may require another adjustment to the Arabic template -design-skin- ?!

    • July 30, 2012 at 11:00
      Permalink

      Hi!

      Thanks for a detailed problem description. It’s pain to know you have to pay for Arabic language support for each CS-Cart release separately.

      I have gone through the changelog and I have really not spotted any significant template modifications that could affect the display of Arabic characters after the upgrade.

      It depends, of course, on how the particular 3rd party has implemented this feature in your installation (it wasn’t our Custom Development team, was it?).

      What I’d suggest you do is to make a backup and give it a shot. There a pretty good chance your Arabic-language templates will work all right after the upgrade. And if they don’t than you’ll have your backup to roll back to.
      In order to make a full store backup just make a database backup and copy the entire store installation directory content to a separate backup folder.

      Please do not hesitate to contact us in case you have any further questions or problems!

  • July 30, 2012 at 20:36
    Permalink

    I can’t find the valid path to move cs-cart 2.2.5 to 3.0.2
    2.2.5 version is intalled to www path and new version is installed to cart3 path

    I write “mydomain/www/” and it is not valid.

    • July 31, 2012 at 11:40
      Permalink

      Dear Georgios,

      If your 2.2.5 store is installed in ‘yourdomain/www/’ (e.g. ‘/home/user/www/’) than specifying it as the Store path upon store import should suffice.
      I’d recommend you to double check the path. For example, if your 2.2.5 is installed in the ‘yourdomain/www/225store/’ folder, that’s what you should specify in the Store path field.

      I would also like you to give the exact error message you see.

      I hope your problem will be solved shortly.

  • August 4, 2012 at 12:06
    Permalink

    Why doesn’t include the Ultimate version Searchanise addon?

    • August 6, 2012 at 11:44
      Permalink

      Dear Jiri,

      Searchanise is not included in CS-Cart Ultimate solely due to technical difficulties occurred during the add-on integration.

      As soon as we manage to solve those technical hindrances we will include Searchanise in CS-Cart Ultimate.

      Thanks for understanding.

  • August 4, 2012 at 20:45
    Permalink

    Dear Konstantin

    I recently upgraded my online store
    but there are some things I do not understand, such as:

    The following files had local modifications
    skins/index.php Changes Mark as resolved

    What should I do with a “skins/index.php”?

    • August 6, 2012 at 11:57
      Permalink

      Hi!

      This message informs you that there’s been some changes in the course of the upgrade in the file that need your supervision.

      You can instructions on local modification conflict solving in our Knowledge Base or YouTube channel.

  • August 11, 2012 at 00:17
    Permalink

    I found that search is not working even when I added the searchanise add-on!!

    what should I do?!

    • August 13, 2012 at 10:49
      Permalink

      Dear Sadeq,

      Could you please submit your store address, so I could check whether there were any Searchanise-related problems with your store at the time?
      You can email me directly if you do not want to show the address to the general public.

      I also recommend you to create a ticket for our Technical support team regarding this issue.

  • August 12, 2012 at 18:16
    Permalink

    Hi, i have same problem. My store is located in Virtual server and its location is httpdocs/sena but when i write this is get an error:

    Error
    The specified directory does not exist. Please check if the path you entered is correct

    Can you help me?

    • August 13, 2012 at 11:14
      Permalink

      Hello,

      The add-on should work properly with virtual servers, it really does not matter as far as the store path is set correctly.

      Note that you should enter the full path to the store (e.g. ‘/httpdocs/sena/’), including the first slash character (on UNIX-based systems). Please double check the specified path — exactly as you enter it in the field.

      • August 15, 2012 at 12:21
        Permalink

        I try it with and without slashes and i still get same message.

        • August 16, 2012 at 14:47
          Permalink

          If you are sure that the specified directory exists on the server and still keep getting the same error, than you definitely should create a ticket for our Technical support.

  • August 15, 2012 at 11:13
    Permalink

    When upgrading from 2.2.4 to 3.0.2 in the process of exporting errors during the import export.sql. In the generated queries beaten errors are found:

    INSERT INTO cscart_stat_sessions (`sess_id`, `os`, `client_type`, `browser_id`, `robot`, `user_agent`, `screen_x`INSERT INTO cscart_stat_sessions (`sess_id`, `os`, `client_type`, `browser_id`, `robot`, `user_agent`, `screen_x`, `screen_y`, `color`, `client_language`, `session`, `host_ip`, `proxy_ip`, `ip_id`, `uniq_code`, `referrer`, `referrer_scheme`, `referrer_host`, `engine_id`, `phrase_id`, `timestamp`, `expiry`) ….

    Some tables in the file export.sql repeated.

    Please tell me when there will be an update or bug fix? Thank you.

    • August 16, 2012 at 12:49
      Permalink

      Dear Evgeny,

      This problem can not be reproduced on the default configuration. It seems the issue is connected with the particular store, and it should be investigated directly on your server.

      Please contact our Support Team via the Customer Help Desk. A detailed step-by-step reproduction guide will help our specialist locate and fix your problem ASAP.

  • August 28, 2012 at 18:17
    Permalink

    hi
    i very love cs-cart
    but it’s not support on RTL
    when i do it
    i have thing i can change on basic them
    i must to make one RTL befor i buy this
    i hop on next version u make support on RTL
    ido

    • August 29, 2012 at 11:40
      Permalink

      Dear ido,

      Actually there’s a workaround available to enable RTL in CS-Cart. It’s an easy way to enable it, but the method is not applicable for all situations.

      In case the method doesn’t work for you you can always request custom RTL implementation by our Custom Development team.

Comments are closed.